<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a> /
          Cubic-freight
      </mat-chip>
  </mat-chip-list>
</div>
<!-- 
<button mat-fab (click)="sidenav1.toggle() && resetform()" class="float-button">
  <mat-icon matTooltip="Add Category">add</mat-icon>
</button> -->


<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>Cubic-freight</span>
      <form [formGroup]="productForm" class="form-horizontal">
        <!-- <div class="row"> -->
            <div class="col-md-12 row">
                <div class="col-md-1">
                    <label class="control-label "> Select</label>
                </div>
                <div class="col-md-5"> 
                    <input type="file" class="form-control" required (change)="onChange($event)" />
                </div>
                <div class="col-md-6">
                    <button (click)="UploadExcel()" class="btn btn-success">Upload Excel </button>&nbsp;
                    <a (click)="downloadexcel()" class="btn btn-danger">Download Excel </a>
                </div>
            </div>
      </form>
      <div style="flex-grow:1;"></div>
      <!-- <a routerLink="/deleted-brand" style="font-size: 16px;padding: 5px;"> Deleted Freight</a>&nbsp; -->
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">DELETE</button> 
     
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="freight_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="username">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Freight Owener </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.username}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="usertype">
        <mat-header-cell *matHeaderCellDef mat-sort-header>Owener Type </mat-header-cell>
        <mat-cell *matCellDef="let element" style="color:rgb(19, 189, 211)"> {{element.usertype}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="zipcode_from">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Zipcode From </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.zipcode_from}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="zipcode_to">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Zipcode To </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.zipcode_to}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="cubic_meter_from">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Cubic Meter From </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.cubic_meter_from}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="cubic_meter_to">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Cubic Meter To </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.cubic_meter_to}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="shipping_price">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Shipping Price </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.shipping_price}} </mat-cell>
      </ng-container>

      
      <ng-container matColumnDef="delivery_type">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Delivery Type </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.delivery_type}} </mat-cell>
      </ng-container>
      
      <ng-container matColumnDef="country">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Country </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.country}} </mat-cell>
      </ng-container>


      <ng-container matColumnDef="state">
        <mat-header-cell *matHeaderCellDef mat-sort-header> State </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.state}} </mat-cell>
      </ng-container>


      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef>
          <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
          [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
              >
          </mat-checkbox>
        </mat-header-cell>
        <mat-cell *matCellDef="let row">  
          <mat-checkbox  (change)="sendIDS($event.checked,row.freight_id,posts.length)"
                        [checked]="sel">
          </mat-checkbox>
        </mat-cell>
      </ng-container>
    

      <mat-header-row *matHeaderRowDef="['freight_id','username','usertype', 'zipcode_from','zipcode_to','cubic_meter_from','cubic_meter_to','shipping_price','delivery_type','country','state','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['freight_id', 'username','usertype','zipcode_from','zipcode_to','cubic_meter_from','cubic_meter_to','shipping_price','delivery_type','country','state','action']"></mat-row>

    </mat-table>
    
    <!-- <mat-paginator  [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
        <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">

      
    </mat-paginator>
    
  </div>
</div>   

 